package com.gcsc.connection.service.repository;

import com.gcsc.connection.service.entity.SnpService;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface SnpServiceRepository extends JpaRepository<SnpService, Long> {

    Optional<SnpService> findByServiceCode(String serviceCode);

    boolean existsByServiceCode(String serviceCode);

    List<SnpService> findByIsActiveTrue();
}
